Bug 1729946 - gnutls cannot be installed or rebuilt: nothing provides libnettle.so.6()(64bit) needed by gnutls-3.6.8-1.fc31.x86_64
Summary: gnutls cannot be installed or rebuilt: nothing provides libnettle.so.6()(64bi...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nettle
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-15 11:56 UTC by Miro Hrončok
Modified: 2019-08-14 11:41 UTC (History)
9 users (show)

Fixed In Version: nettle-3.5.1-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-14 11:41:07 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-07-15 11:56:55 UTC
Following the recent update of nettle, gnutls cannot be installed or rebuilt.

Everything immediately fails with:

nothing provides libnettle.so.6()(64bit) needed by gnutls-3.6.8-1.fc31.x86_64

Comment 1 Miro Hrončok 2019-07-15 11:57:17 UTC
Assigning to nettle.

Comment 2 Miro Hrončok 2019-07-15 12:05:25 UTC
If somebody could untag nettle, that would be great.

I've done this:

    $ koji tag-build f31-pending nettle-3.4.1rc1-3.fc31

But not sure if that is enough.

Comment 3 Miro Hrončok 2019-07-15 12:07:34 UTC
https://pagure.io/releng/issue/8533

Comment 4 Miro Hrončok 2019-07-15 13:18:24 UTC
The build was untagged, dropping the severity.

Comment 5 Daiki Ueno 2019-07-15 13:21:32 UTC
Side tag requested to pursue the nettle update:
https://pagure.io/releng/issue/8534

Comment 6 Adam Williamson 2019-07-15 15:55:49 UTC
If the bad nettle was untagged this is also not a release blocker any more.

Comment 7 Ben Cotton 2019-08-13 17:00:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 8 Ben Cotton 2019-08-13 19:01:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.


Note You need to log in before you can comment on or make changes to this bug.